SparkFun ACS37800 Power Monitor Arduino Library
===========================================================

[![SparkX ACS37800 Power Meter (Qwiic) (SPX-17873)](https://cdn.sparkfun.com//assets/parts/1/7/0/6/9/17873-SparkX_Power_Meter_-_ACS37800__Qwiic_-01.jpg)](https://www.sparkfun.com/products/17873)

[*SparkX ACS37800 Power Meter (Qwiic) (SPX-17873)*](https://www.sparkfun.com/products/17873)

The Allegro MicroSystems ACS37800 power monitoring IC greatly simplifies the addition of power monitoring to many powered systems.

Allegro’s Hall-effect-based, galvanically isolated current sensing technology achieves reinforced isolation ratings in a small PCB footprint.
These features enable isolated current sensing without expensive Rogowski coils, oversized current transformers, isolated operational amplifiers,
or the power loss of shunt resistors.

The ACS37800 power monitoring IC offers key power measurement parameters that can easily be accessed through its digital interface. Dedicated and
configurable I/O pins for voltage/current zero crossing, undervoltage and overvoltage reporting, and fast overcurrent fault detection are available.
User configuration of the IC is available through on-chip EEPROM.

Although the ACS37800 is available with both I<sup>2</sup>C and SPI interfaces, this library currently only supports communication over I2C.

SparkFun labored with love to create this code. Feel like supporting open source hardware?
Buy a [board](https://www.sparkfun.com/products/17873) from SparkFun!

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE.
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE.
* **library.properties** - General library properties for the Arduino package manager.

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfunX/Qwiic_Power_Meter-ACS37800)** - Main repository (including hardware files)

Products that use this library
--------------
* [SPX-17873](https://www.sparkfun.com/products/17873)- SparkX Version

License Information
-------------------

This product is _**open source**_!

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release anything derivative under the same license.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
